
using Demo.Data.RemoteData.RemoteDataBase.DAO;
using Demo.domain.Models;
using Demo.Domain.UseCase;
using Microsoft.EntityFrameworkCore.Metadata;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceDao> GetPresenceByDateAndGroup(DateTime date, int groupId);
        void SavePresence(List<PresenceDao> presences);
        List<PresenceDao> GetPresenceByGroup(int groupId);
        DateOnly? GetLastDateByGroupId(int groupId);
        List<PresenceDao> GetPresenceForAbsent(DateTime date, int GroupId);
        GroupAttendanceStatistics GetGeneralPresenceForGroup(int groupId);
        void UpdateAtt(int userId, int groupId, int firstLesson, int lastLesson, DateOnly date, bool isAttendance);
        List<PresenceDao> GetAttendanceByGroup(int groupId);
    }
}

